[Bug bootstrap/55370] New: [4.8 Regression] Bad libgcc.map

hjl.tools at gmail dot com gcc-bugzilla@gcc.gnu.org
Sat Nov 17 22:21:00 GMT 2012


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=55370

             Bug #: 55370
           Summary: [4.8 Regression] Bad libgcc.map
    Classification: Unclassified
           Product: gcc
           Version: 4.8.0
            Status: UNCONFIRMED
          Severity: normal
          Priority: P3
         Component: bootstrap
        AssignedTo: unassigned@gcc.gnu.org
        ReportedBy: hjl.tools@gmail.com


On Linux/x86-64, I got

/usr/local/bin/ld: warning: wildcard match appears in both version 'GCC_3.0'
and 'GCC_4.8.0' in script

libgcc.map has

GCC_3.0 {
  global:
...
  local:
        *;
};
...
GCC_4.8.0 {
  global:
        __cpu_model;
        __cpu_indicator_init;

  local:
        *;
};



More information about the Gcc-bugs mailing list